Subject: bug#78693: 14.0.9; Folding of math macros with a function spec is broken

From: Rahguzar <[email-masked]>
Date: Sun, 20 Jul 2025 11:06:07 +0500

Hi Paul,

"Paul D. Nelson" <[email-masked]> writes:

> Hi Rahguzar,
>
> I thought about the further edge cases you raised.  The attached patch
> is what I came up with.

Thanks! This solution of allowing the full power of
TeX-find-macro-boundaries in signature seems like the best one and in my
brief testing it works well and is very flexible.

> I can't think of any other edge cases.  I think this patch is now ready
> to ship, although I'd welcome any feedback.

I also think that it is ready to ship. Thanks for all your work on this.

> Thanks, best,
>
> Paul
>
> [2. text/x-patch; 0001-Add-signature-support-for-macro-folding.patch]...

Best,
Rahguzar